## org.eclipse.emf.databinding.internal
Class EMFMapPropertyDecorator

    java.lang.Object
      org.eclipse.core.databinding.property.map.MapProperty
          org.eclipse.emf.databinding.internal.EMFMapPropertyDecorator

All Implemented Interfaces:
  IProperty, IMapProperty, IEMFMapProperty, IEMFProperty

    public class EMFMapPropertyDecorator

extends MapProperty
implements IEMFMapProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFMapPropertyDecorator(IMapProperty delegate, EStructuralFeature eStructuralFeature)`

Method Summary
`java.lang.Object` `getKeyType()`
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.
`java.lang.Object` `getValueType()`
`IObservableFactory` `mapFactory()`
`IObservableFactory` `mapFactory(Realm realm)`
`IObservableMap` `observe(java.lang.Object source)`
`IObservableMap` `observe(Realm realm, java.lang.Object source)`
`IObservableMap` `observeDetail(IObservableValue master)`
`java.lang.String` `toString()`
`IEMFMapProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value feature.
`IEMFMapProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified nested value feature.
`IEMFMapProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from class org.eclipse.core.databinding.property.map.MapProperty
`values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.map.IMapProperty
`values`

Constructor Detail

### EMFMapPropertyDecorator

    public EMFMapPropertyDecorator(IMapProperty delegate,
                                   EStructuralFeature eStructuralFeature)

Parameters:
  `delegate` -
  `eStructuralFeature` -

Method Detail

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Description copied from interface: `IEMFProperty`
  Returns the descriptor of the `EStructuralFeature` being observed.

  Specified by:
    `getStructuralFeature` in interface `IEMFProperty`
  Returns:
    the `EStructuralFeature` being observed

### getKeyType

    public java.lang.Object getKeyType()

  Specified by:
    `getKeyType` in interface `IMapProperty`

### getValueType

    public java.lang.Object getValueType()

  Specified by:
    `getValueType` in interface `IMapProperty`

### values

    public IEMFMapProperty values(EStructuralFeature feature)

  Description copied from interface: `IEMFMapProperty`
  Returns a master-detail combination of this property and the specified value feature.

  Specified by:
    `values` in interface `IEMFMapProperty`
  Parameters:
    `feature` - the value feature to observe
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `IEMFMapProperty.values(IEMFValueProperty)`

### values

    public IEMFMapProperty values(FeaturePath featurePath)

  Description copied from interface: `IEMFMapProperty`
  Returns a master-detail combination of this property and the specified nested value feature.

  Specified by:
    `values` in interface `IEMFMapProperty`
  Parameters:
    `featurePath` - the nested value feature to observe
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `IEMFMapProperty.values(IEMFValueProperty)`

### values

    public IEMFMapProperty values(IEMFValueProperty property)

  Description copied from interface: `IEMFMapProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all `values` observed by this map property, mapping from this map property's `key set` to the specified value property's value for each element in the master property's `values` collection.

  Specified by:
    `values` in interface `IEMFMapProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### observe

    public IObservableMap observe(java.lang.Object source)

  Specified by:
    `observe` in interface `IMapProperty`
  Overrides:
    `observe` in class `MapProperty`

### observe

    public IObservableMap observe(Realm realm,
                                  java.lang.Object source)

  Specified by:
    `observe` in interface `IMapProperty`

### mapFactory

    public IObservableFactory mapFactory()

  Specified by:
    `mapFactory` in interface `IMapProperty`
  Overrides:
    `mapFactory` in class `MapProperty`

### mapFactory

    public IObservableFactory mapFactory(Realm realm)

  Specified by:
    `mapFactory` in interface `IMapProperty`
  Overrides:
    `mapFactory` in class `MapProperty`

### observeDetail

    public IObservableMap observeDetail(IObservableValue master)

  Specified by:
    `observeDetail` in interface `IMapProperty`
  Overrides:
    `observeDetail` in class `MapProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.